class MediaChoiceDialog extends DialogBox
{
	Box()
	{
		global XmlStylesheetMediaDropDown
		this.InitGui(Txt.Get("MediaChoiceDialogTitle"))
		Gui, Add, Text, % "x" this.MainPaddingLeft " y" this.MainPaddingTopBottom " Section"
			, % Txt.Get("MediaChoiceDialogText")
		Gui, Add, Text, xs0
			, % Txt.Get("MediaChoiceDialogXmlStylesheetMediaDropDownLabel")
		Gui, Add, DropDownList, w363 vXmlStylesheetMediaDropDown
			, % Xml.XmlStylesheetMediaChoiceString
		GuiControl, Choose, XmlStylesheetMediaDropDown, 1
		GuiControlGet, ControlPos, Pos, XmlStylesheetMediaDropDown
		this.GuiWidth := 350
		this.ControlsHeight := ControlPosY + ControlPosH
		Buttons := [{Name: Txt.Get("DialogButtonOK"), Action: this.__Class ".OK", Default: 1}
			, {Name: Txt.Get("DialogButtonCancel"), Action: this.__Class ".Cancel"}]
		this.AddButtonBar(Buttons*)
		this.ShowGui()
		WinWaitClose
	}
	
	OK()
	{
		global XmlStylesheetMediaDropDown
		GuiControlGet, XmlStylesheetMedia,, XmlStylesheetMediaDropDown
		for index, href in Xml.XmlStylesheets[XmlStylesheetMedia] {
			Config.XsltListItem := href
		}
		base.CloseGui()
	}
	
	Cancel()
	{
		base.CloseGui()
	}
}